cereal::memory_detail::PtrWrapper< T > Struct Template Reference

A wrapper class to notify cereal that it is ok to serialize the contained pointer. More...

`#include </home/shane/workspace/cereal/include/cereal/types/memory.hpp>`

## Public Member Functions

| PtrWrapper (T &&p)
| PtrWrapper (PtrWrapper const &)=default
PtrWrapper & | operator= (PtrWrapper const &)=delete

## Public Attributes

T & | ptr

## Detailed Description

### template<class T>
struct cereal::memory_detail::PtrWrapper< T >

A wrapper class to notify cereal that it is ok to serialize the contained pointer.

This mechanism allows us to intercept and properly handle polymorphic pointers

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/types/memory.hpp